TagLib::DSF::Properties Class Reference

An implementation of audio properties for DSF. More...

`#include <dsfproperties.h>`

Inheritance diagram for TagLib::DSF::Properties:
[legend]
Collaboration diagram for TagLib::DSF::Properties:
[legend]

## Public Member Functions

| Properties (const ByteVector &data, ReadStyle style)
| ~Properties () override
| Properties (const Properties &)=delete
Properties & | operator= (const Properties &)=delete
int | lengthInMilliseconds () const override
int | bitrate () const override
int | sampleRate () const override
int | channels () const override
int | formatVersion () const
int | formatID () const
int | channelType () const
int | bitsPerSample () const
long long | sampleCount () const
int | blockSizePerChannel () const
Public Member Functions inherited from TagLib::AudioProperties
virtual | ~AudioProperties ()
| AudioProperties (const AudioProperties &)=delete
AudioProperties & | operator= (const AudioProperties &)=delete
virtual TAGLIB_DEPRECATED int | length () const
virtual int | lengthInSeconds () const

## Additional Inherited Members

Public Types inherited from TagLib::AudioProperties
enum | ReadStyle { Fast , Average , Accurate }
Protected Member Functions inherited from TagLib::AudioProperties
| AudioProperties (ReadStyle style)

## Detailed Description

An implementation of audio properties for DSF.

## Constructor & Destructor Documentation

## Properties() [1/2]

TagLib::DSF::Properties::Properties | ( | const ByteVector & | data,
|  | ReadStyle | style )

Referenced by operator=(), and Properties().

## ~Properties()

TagLib::DSF::Properties::~Properties | ( |  | ) |

override

## Properties() [2/2]

TagLib::DSF::Properties::Properties | ( | const Properties & |  | ) |

delete

References Properties().

## Member Function Documentation

## bitrate()

int TagLib::DSF::Properties::bitrate | ( |  | ) | const

override virtual

Returns the most appropriate bit rate for the file in kb/s. For constant bitrate formats this is simply the bitrate of the file. For variable bitrate formats this is either the average or nominal bitrate.

Reimplemented from TagLib::AudioProperties.

## bitsPerSample()

int TagLib::DSF::Properties::bitsPerSample | ( |  | ) | const

## blockSizePerChannel()

int TagLib::DSF::Properties::blockSizePerChannel | ( |  | ) | const

References TAGLIB_MSVC_SUPPRESS_WARNING_NEEDS_TO_HAVE_DLL_INTERFACE.

## channels()

int TagLib::DSF::Properties::channels | ( |  | ) | const

override virtual

Returns the number of audio channels.

Implements TagLib::AudioProperties.

## channelType()

int TagLib::DSF::Properties::channelType | ( |  | ) | const

Channel type values: 1 = mono, 2 = stereo, 3 = 3 channels, 4 = quad, 5 = 4 channels, 6 = 5 channels, 7 = 5.1 channels

## formatID()

int TagLib::DSF::Properties::formatID | ( |  | ) | const

## formatVersion()

int TagLib::DSF::Properties::formatVersion | ( |  | ) | const

## lengthInMilliseconds()

int TagLib::DSF::Properties::lengthInMilliseconds | ( |  | ) | const

override virtual

Returns the length of the file in milliseconds.

See also
  lengthInSeconds()

Reimplemented from TagLib::AudioProperties.

## operator=()

Properties & TagLib::DSF::Properties::operator= | ( | const Properties & |  | ) |

delete

References Properties().

## sampleCount()

long long TagLib::DSF::Properties::sampleCount | ( |  | ) | const

## sampleRate()

int TagLib::DSF::Properties::sampleRate | ( |  | ) | const

override virtual

Returns the sample rate in Hz.

Reimplemented from TagLib::AudioProperties.

The documentation for this class was generated from the following file:

- dsfproperties.h